
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;

public class Szerver {
	static int kliensId = 0;
	static int szamokOsszege = 0;
	
	public static void main(String[] args) throws IOException {
		final int PORT = 12345;
		ServerSocket ss = new ServerSocket(PORT);

		int kliensIdV2 = 0;
		while (true) {
			egyKlienstKiszolgal(ss, kliensIdV2);
			++kliensId;
			++kliensIdV2;
		}
	}

	private static void egyKlienstKiszolgal(ServerSocket ss, int kliensIdV2) throws IOException {
		try (
			Socket s = ss.accept();
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			pw.println(kliensId);
			pw.println(kliensIdV2);
			pw.println(szamokOsszege);
			pw.flush();
			
			String parancs = sc.nextLine();
			String fajlnev = sc.nextLine();
			
			if (parancs.equals("letolt")) {
				fajltKuldKliensnek(pw, fajlnev);
			} else if (parancs.equals("feltolt")) {
				fajltFogadKlienstol(sc, pw, fajlnev);
			}
		}
	}

	private static void fajltFogadKlienstol(Scanner sc, PrintWriter pw, String fajlnev) throws FileNotFoundException {
		try (
			PrintWriter pwFajl = new PrintWriter(new FileOutputStream(fajlnev));
		) {
			while (sc.hasNextLine()) {
				String sor = sc.nextLine();
				if (sor.equals("vege"))   break;

				szamotNovel(sor);
				
				pwFajl.println(sor);
			}
			
			pwFajl.flush();
		}
	}

	private static void szamotNovel(String sor) {
		try {
			int szam = Integer.parseInt(sor);
			szamokOsszege += szam;
		} catch (NumberFormatException e) {
			// nincs teendo
		}
	}

	private static void fajltKuldKliensnek(PrintWriter pw, String fajlnev) {
		try (
			Scanner scFajl = new Scanner(new File(fajlnev));
		) {
			while (scFajl.hasNextLine()) {
				String sor = scFajl.nextLine();
				pw.println(sor);

				szamotNovel(sor);
			}
		} catch (FileNotFoundException e) {
			pw.println("File not found");
		} finally {
			pw.flush();
		}
	}
}
