
import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Szerver {
	public static void main(String[] args) throws IOException {
		final int PORT = 12345;
		ServerSocket ss = new ServerSocket(PORT);
		
		try (
			Socket s = ss.accept();
			Scanner sc = new Scanner(s.getInputStream());
			PrintWriter pw = new PrintWriter(s.getOutputStream());
		) {
			// protokollV1(sc, pw);
			protokollV2(sc, pw);
		}
	}

	private static void protokollV2(Scanner sc, PrintWriter pw) {
		List<Integer> bejovoAdatok = adatokatGyűjt(sc);
		adatokatKiküld(pw, bejovoAdatok);
	}

	private static void adatokatKiküld(PrintWriter pw, List<Integer> bejovoAdatok) {
		for (Integer bejovoAdat : bejovoAdatok) {
			int valasz = atalakit(bejovoAdat);
			pw.println(valasz);
		}
		pw.flush();
	}

	private static List<Integer> adatokatGyűjt(Scanner sc) {
		List<Integer> bejovoAdatok = new ArrayList<>();
		
		while (sc.hasNextInt()) {
			int nextInt = sc.nextInt();
			bejovoAdatok.add(nextInt);
		}
		return bejovoAdatok;
	}

	private static void protokollV1(Scanner sc, PrintWriter pw) {
		while (sc.hasNextInt()) {
			int nextInt = sc.nextInt();
			int valasz = atalakit(nextInt);
			pw.println(valasz);
			pw.flush();
		}

// túl késő
//		pw.flush();
	}

	private static int atalakit(int n) {
		return 2 * n + 1;
	}
}
